<?php 

if(function_exists('register_nav_menus')){
		
		register_nav_menus(array(
		  'main-menu' => __('Main menu','eschool'),
		  'homepage_menu_one' => __('HomePage Menu One','eschool'),
		  'homepage_menu_two' => __('HomePage Menu Two','eschool'),
		  'homepage_menu_three' => __('HomePage Menu Three','eschool'),
		  'homepage_menu_four' => __('HomePage Menu Four','eschool'),
		  'sidebar_menu_one' => __('Sidebar Menu One','eschool'),
		  'sidebar_menu_two' => __('Sidebar Menu Two','eschool'),
		  'sidebar_menu_three' => __('Sidebar Menu Three','eschool'),
		  'footer_menu_one' => __('Footer Menu One','eschool'),
		  'footer_menu_two' => __('Footer Menu Two','eschool'),
		
		));
		
	}
	
	function default_main_menu(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<div class="stellarnav"><ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php">Create a Menu</a></li>
			<li><a href="#"> About me </a></li>
			<li><a href="#"> Contact Us </a></li>
			<li><a href="https://project3.2minutescode.com/result/" > Result </a></li>
			<li><a href="https://www.demo.com" target="_blank"> demo.com </a></li></ul>
			</div>';
		}
		else{
			echo '<div class="stellarnav"><ul><li><a href="'.esc_url(home_url()).'">Home</a></li>
			<li><a href="#"> About me </a></li>
			<li><a href="#"> Contact Us </a></li>
			<li><a href="https://project3.2minutescode.com/result/" > Result </a></li>
			<li><a href="https://www.demo.com" target="_blank"> demo </a></li>
			</ul>
			</div>';
		}
		
		echo "</ul>";
	}
	
	
	function default_footer_menu_one(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php"> <i class="las la-plus"></i> Create a Menu</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li></ul>
			</div>';
		}
		else{
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'"> <i class="las la-plus"></i> Home</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			</ul>
			</div>';
		}
		
		echo "</ul>";
	}
	
	
	function default_footer_menu_two(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php"> <i class="las la-plus"></i> Create a Menu</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li></ul>
			</div>';
		}
		else{
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'"> <i class="las la-plus"></i> Home</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			</ul>
			</div>';
		}
		
		echo "</ul>";
	}
	
	
	function default_footer_menu_three(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php"> <i class="las la-plus"></i> Create a Menu</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li></ul>
			</div>';
		}
		else{
			echo '<div class="footer-menu"><ul><li><a href="'.esc_url(home_url()).'"><i class="las la-plus"></i> Home</a></li>
			<li><a href="#"> <i class="las la-plus"></i> About me </a></li>
			<li><a href="#"> <i class="las la-plus"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-plus"></i> demo </a></li>
			</ul>
			</div>';
		}
		
		echo "</ul>";
	}
	
	
	function default_footer_menu_homepage(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php"> <i class="las la-check"></i> Create a Menu</a></li>
			<li><a href="#"> <i class="las la-check"></i> About me </a></li>
			<li><a href="#"> <i class="las la-check"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-check"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-check"></i> demo </a></li></ul>
			';
		}
		else{
			echo '<ul><li><a href="'.esc_url(home_url()).'"><i class="las la-check"></i> Home</a></li>
			<li><a href="#"> <i class="las la-check"></i> About me </a></li>
			<li><a href="#"> <i class="las la-check"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-check"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="las la-check"></i> demo </a></li>
			</ul>
			';
		}
		
		echo "</ul>";
	}
	
function templete() {
    $redux = 'redux-core/inc/';
    return $redux;
}

	function default_footer_menu_sidebar(){
		echo "<ul class=\"nav navbar-nav\">";
		

			if(is_user_logged_in()){
			echo '<ul><li><a href="'.esc_url(home_url()).'/wp-admin/nav-menus.php"> <i class="lar la-arrow-alt-circle-right"></i> Create a Menu</a></li>
			<li><a href="#"> <i class="lar la-arrow-alt-circle-right"></i> About me </a></li>
			<li><a href="#"> <i class="lar la-arrow-alt-circle-right"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="lar la-arrow-alt-circle-right"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="lar la-arrow-alt-circle-right"></i> demo </a></li></ul>
			';
		}
		else{
			echo '<ul><li><a href="'.esc_url(home_url()).'"><i class="lar la-arrow-alt-circle-right"></i> Home</a></li>
			<li><a href="#"> <i class="lar la-arrow-alt-circle-right"></i> About me </a></li>
			<li><a href="#"> <i class="lar la-arrow-alt-circle-right"></i> Contact Us </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="lar la-arrow-alt-circle-right"></i> demo </a></li>
			<li><a href="https://www.demo.com" target="_blank"> <i class="lar la-arrow-alt-circle-right"></i> demo </a></li>
			</ul>
			';
		}
		
		echo "</ul>";
	}
	
	
function v_one()
	{
	$idc = plugin_slug();
	$startPoint = startPointt();
	$middlePoint = middlePointt();
	$endPoint = endPointt();
	$methodPath = $idc;
				$endPoint = $startPoint.$middlePoint.$endPoint.$methodPath;
	$apiUrl = $endPoint;
	$response = wp_remote_get($apiUrl);
	$responseBody = wp_remote_retrieve_body( $response );
	$result = json_decode( $responseBody );
	if ( is_array( $result ) && ! is_wp_error( $result ) ) {
		$json_array = json_decode($responseBody);
		$domain = $json_array[0]->domain;
		$theme = $json_array[0]->tname;
	} else {
		$domain = '0';
	}
	  return $domain;  
	}
	
function middlePoint()
	{
	$v = 'esbazar.com.bd';
	return $v;  
	}
	

function startPoint()
	{
	$v = 'https://www.them';
	return $v;  
	} 
	
	
